<VirtualHost *:80>
	ServerAdmin vincent.benoit@benserv.fr
	DocumentRoot /var/www/app-configurateur
	<Directory /var/www/app-configurateur/*>
		Order Allow,Deny
		Allow from all
		AllowOverride none
		Require all granted
		Header always set Access-Control-Allow-Origin "*"
		Header always add Access-Control-Allow-Headers "origin, x-requested-with, content-type"
		Header always add Access-Control-Allow-Methods "PUT, GET, POST, DELETE, OPTIONS"
		Header always add Access-Control-Expose-Headers "Content-Security-Policy, Location"
		Header always add Access-Control-Max-Age "3600"
	</Directory>

	<Location /api>
		ProxyPreserveHost On
		ProxyPass http://127.0.0.1:6000/api
		ProxyPassReverse http://127.0.0.1:6000/api
	</Location>

	LogLevel info
	ErrorLog /var/log/apache2/error_log
	CustomLog /var/log/apache2/access.log combined

</VirtualHost>

# vim: syntax=apache ts=4 sw=4 sts=4 sr noet
